gd_dirfilename(3)

NAME
gd_dirfilename — retrieve the name of a Dirfile

SYNOPSIS
#include <getdata.h>

const char *gd_dirfilename(DIRFILE *dirfile);

DESCRIPTION
The function queries a dirfile(5) database specified by and returns its name. The name of a dirfile is an absolute pathname which refers to the dirfile base directory. The argument must point to a valid DIRFILE object previously created by a call to

RETURN VALUE
Upon successful completion, returns a pointer to a constant string containing the pathname of the dirfile. On error, returns NULL and stores a negative-valued error code in the DIRFILE object which may be retrieved by a subsequent call to Possible error codes are: The supplied dirfile was invalid.

A descriptive error string for the error may be obtained by calling

HISTORY
The function appeared in GetData-0.3.0. In GetData-0.7.0, this function was renamed to In GetData-0.10.0, the error return from this function changed from -1 to a negative-valued error code.

SEE ALSO
path_resolution(7)